| Home | Libraries | People | FAQ | More

##### value::operator<<

Serialize `value` to an output stream.

###### Synopsis

Defined in header `<boost/json/value.hpp>`

    std::ostream&
    operator<<(
        std::ostream& os,
        value const& jv);

###### Description

This function serializes a `value` as JSON into the output stream.

###### Return Value

Reference to `os`.

###### Complexity

Constant or linear in the size of `jv`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`os` | The output stream to serialize to.
`jv` | The value to serialize.

Convenience header `<boost/json.hpp>`